<link rel="stylesheet" href="css/dragAndDrop.css">

<header class="d-flex flex-column flex-md-row align-items-md-center p-3 bg-light ">
    <h2 class="bd-title" id="content">
        <span>Base RH : Importer un fichier Excel</span>
    </h2>
</header>
<?php   
        echo core::filAriane(array(
            "current" => "Importer un fichier Excel", 
            "arbo" => array( 
                "Salariés RH" => NULL,
                "Liste des salariés (base RH)" => "/",
                "Importer un fichier Excel" => "/rh-upload-excel.html")
        )); 
?>
<br />
<form action="/submit.php" method="post" enctype="multipart/form-data" onsubmit="loading()">
    <input type="hidden" name="from" value="rh-import-excel">
    <div class="form-group">
        <label>Datation des données</label>
        <input type="date" class="form-control" value="" name="date" placeholder="" required>
    </div>
    <br /> 
    <div class="file-drop-area">
        <span class="choose-file-button">Choisissez votre fichier Excel (XLSX)</span>
        <span class="file-message">ou déposez le dans cette zone</span>
        <input class="import-excel" name="rh-import-excel" type="file" onchange="dargAndDrop()" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet">
    </div>
    <br />
    <input class="btn btn-outline-primary btn-lg" style="width: 100%" type="submit" value="Charger le fichier de la base RH">
</form>

<script>
    function dargAndDrop(){
        
        var fileName = $(".import-excel").val().split('\\').pop();
        var ext = fileName.split('.').pop();
        if(ext!=="xlsx"){
            $("#printToastErrorTxt").html("Seuls les fichiers XLSX sont acceptés");
            $("#printToastError").toast('show');
            $('#attachement-document').val("");
        } else {
            $(".file-message").text($(".file-message").text().replace("ou déposez le dans cette zone", "Fichier prêt à être chargé : "+fileName));
        }
    }
</script>
